Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_latin1_to_utf8

## Name

librdf_latin1_to_utf8 -- Convert an ISO Latin-1 encoded string to UTF-8

## Synopsis

``byte* `librdf_latin1_to_utf8`` (const byte * `input`, int `length`, int * `output_length`);`

## Arguments

`input`

  ISO Latin-1 string buffer

`length`

  buffer size

`output_length`

  Pointer to variable to store resulting string length or NULL

## Description

Converts the given ISO Latin-1 string to an UTF-8 encoded string representing the same content. This is lossless.

If the output_length pointer is not NULL, the returned string length will be stored there.

## Return value

pointer to new UTF-8 string or NULL on failure

<<< Previous | Home | Next >>>
librdf_utf8_to_latin1 | Up | librdf_utf8_print